package securitymanager.v1;

import java.io.File;
import java.io.FilePermission;
import java.security.Permission;

public class Main {

	static class MySecurityManager extends SecurityManager {
		@Override
		public void checkPermission(Permission perm) {
			// should also delegate to super manager
			// super.checkPermission(perm);

			if (perm instanceof FilePermission) {
				FilePermission fp = (FilePermission) perm;
				System.out.println("Got a file permission ...." + fp);
			}
		}
	}

	public static void main(String[] args) {
		System.setSecurityManager(new MySecurityManager());

		new File("A.java").canRead();
	}
}
