package clinit;

public class StaticInitializers {

	static class Root {
		static {
			System.out.println("Loaded class Root");
		}
	}

	static class A extends Root {

		static {
			System.out.println("Loaded class A");
		}

	}

	static class B {
		static {
			System.out.println("Loaded class B");
		}
	}

	public static void main(String[] args) {
		System.out.println("Before Loading other classes");
		System.out.println("Referencing class " + new A().getClass().getName());
		System.out.println("Referencing class " + new B().getClass().getName());
	}
}
